<?php
defined('BASEPATH') OR exit('No direct script access allowed');
/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'welcome';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;
$route['login']='welcome/index';
$route['user-login']='welcome/user_login';
$route['forgot-password']='welcome/forgot_password';
$route['dashboard']="welcome/dashboard";
$route['events']="welcome/events";
$route['profile']="welcome/profile";
$route['change-forgot-password']="welcome/change_forgot_password";
$route['admin-create']="welcome/sa_iadmin_create";
$route['admin-list']="welcome/sa_iadmin_list";
$route['add-client']="welcome/sa_client_add";
$route['client-list']="welcome/sa_client_list";
$route['vendor-add']="welcome/sa_vendor_add";
$route['vendor-list']="welcome/sa_vendor_list";
$route['add-iadmin']="welcome/add_iadmin";
$route['delete-iadmin']="welcome/delete_iadmin";
$route['delete_vendor_liast_iadmin']="welcome/delete_vendor_liast_iadmin";
$route['delete_vendor_liast_clients']="welcome/delete_vendor_liast_clients";
$route['sa-vendor-delete']="welcome/sa_vendor_delete";
$route['edit-iadmin/([a-z-A-Z0-9\-]+)']="welcome/sa_edit_iadmin";
$route['update-admin']="welcome/update_iadmin";
$route['add-iclient']="welcome/add_iclient";
$route['add-ivendor']="welcome/add_ivendor";
$route['update-ivendor']="welcome/update_ivendor";
$route['client-information']="welcome/client_information";
$route['client-dashboard']="welcome/client_dashboard";
$route['add-client-information']="welcome/add_client_information";
$route['client-task']="welcome/client_task";
$route['company-profile/([a-z-A-Z0-9\-]+)']="welcome/company_profile";
$route['manage-session']="welcome/bidding_table";
$route['bidding-event/([a-z-A-Z0-9\-]+)']="welcome/bidding_client_event";
$route['get-contact-email']="welcome/get_contact_person_email";
$route['add-biddig-item']="welcome/add_bidding_item";
$route['edit-session/([a-z-A-Z0-9\-]+)']="welcome/edit_client_item";
$route['update-bidding-item']="welcome/update_bidding_item";
$route['iadmin-client-list']="welcome/get_iadmin_client_list";
$route['vendor-home']="welcome/vendor_home";
$route['vendor-profile']="welcome/vendor_profile";
$route['vendor-event/([a-z-A-Z0-9\-]+)']="welcome/vendor_event";
$route['vendor-event-list']="welcome/vendor_event_list";
$route['client-event/([a-z-A-Z0-9\-]+)']="welcome/client_event";
$route['sa-vendor-profile/([a-z-A-Z0-9\-]+)']="welcome/sa_vendor_profile_view";
$route['vendor-client-list']="welcome/get_vendor_client_list";
$route['add-bidding-status']="welcome/add_bidding_status";
$route['update-flag']="welcome/update_flag";
$route['get-bidding-status']="welcome/get_bidding_status";
$route['add-bidding-price']="welcome/add_vendor_item_price";
$route['vendor-price-list']="welcome/get_vendor_bidding_price";
$route['get-bidding-price']="welcome/get_vendor_bidding_price";
$route['item-bidding-status']="welcome/item_bidding_status";
$route['add-admin-vendor-client-val']="welcome/add_iadmin_vendor_client_val";
$route['update-bidding-status']="welcome/update_bidding_status";
$route['update-bid-time']="welcome/update_bidding_time";
$route['view-current-bidding-time']="welcome/view_current_bidding_time";
$route['total-bidding-time']="welcome/view_total_bidding_time";
$route['update-vendor-bidding-price']="welcome/update_vendor_item_price";
$route['updates-new-vendor-bidding-price']="welcome/update_news_vendor_item_price";
$route['closed-bid-status']="welcome/closed_bidding_status";
$route['closed-bid-news-status']="welcome/closed_bidding_news_status";
$route['individual-bidding-status']="welcome/get_min_individual_bidding_price";
$route['get-bidding-time']="welcome/get_bidding_time";
$route['reset-line-item']="welcome/reset_line_item";
$route['check-status']="welcome/check_status";
$route['update-new-flag']="welcome/update_flag_new";
$route['check-vendor-price']="welcome/check_vendor_price";
$route['edit-client-vendor/([a-z-A-Z0-9\-]+)']="welcome/client_vendor_edit";
$route['client-vendor-profile/([a-z-A-Z0-9\-]+)']="welcome/client_vendor_profile_view";
$route['logout']="welcome/logout";
$route['update-vendor/([a-z-A-Z0-9\-]+)']="welcome/update_sa_vendor";
$route['reset-line-item-new']="welcome/reset_line_item_new";
$route['update-flag-status']="welcome/update_flag_status";
$route['get-client-email-details']="welcome/get_client_email_details";
$route['get-email-details']="welcome/get_email_details";
$route['coordiator-bidding-event/([a-z-A-Z0-9\-]+)']="welcome/coordinator_bidding_client_event";
$route['admin-dashboard']="welcome/iadmin_dashboard";
$route['admin-client-add']="welcome/iadmin_client_add";
$route['add-admin-client']="welcome/add_iadmin_client";
$route['add-admin-client-val']="welcome/add_iadmin_client_val";
$route['add-admin-vendor-client-val']="welcome/add_iadmin_vendor_client_val";
$route['admin-client-list']="welcome/sa_iadmin_client_list";
$route['admin-vendor-add']="welcome/iadmin_vendor_add";
$route['admin-vendor-list']="welcome/iadmin_vendor_list";
$route['admin-vendor-edit/([a-z-A-Z0-9\-]+)']="welcome/admin_vendor_edit";
$route['update_vendor']="welcome/update_vendor";
$route['admin-client-edit/([a-z-A-Z0-9\-]+)']="welcome/admin_client_edit";
$route['update-admin-client']="welcome/update_iadmin_client";
$route['update-list-client/([a-z-A-Z0-9\-]+)']="welcome/update_sa_list_edit";
$route['update-client/([a-z-A-Z0-9\-]+)']="welcome/update_sa_edit";
$route['update-iadmin-client/([a-z-A-Z0-9\-]+)']="welcome/update_sa_iadmin_client";
$route['edit-client']="welcome/edit_client";
$route['sa-vendor-delete']="welcome/sa_vendor_delete";
$route['client-list']="welcome/sa_client_list";
$route['vendor-add']="welcome/sa_vendor_add";
$route['vendor-list']="welcome/sa_vendor_list";
$route['add-iadmin']="welcome/add_iadmin";
$route['delete-vendor-list-iadmin']="welcome/delete_vendor_list_iadmin";
$route['delete-iadmin']="welcome/delete_iadmin";
$route['edit-iadmin/([a-z-A-Z0-9\-]+)']="welcome/sa_edit_iadmin";
$route['update-admin']="welcome/update_iadmin";
$route['add-iclient']="welcome/add_iclient";
$route['add-ivendor']="welcome/add_ivendor";
$route['update-ivendor']="welcome/update_ivendor";
$route['client-information']="welcome/client_information";
$route['client-dashboard']="welcome/client_dashboard";
$route['add-client-information']="welcome/add_client_information";
$route['client-task']="welcome/client_task";
$route['company-profile/([a-z-A-Z0-9\-]+)']="welcome/company_profile";
$route['manage-session']="welcome/bidding_table";
$route['bidding-event/([a-z-A-Z0-9\-]+)']="welcome/bidding_client_event";
$route['get-contact-email']="welcome/get_contact_person_email";
$route['add-biddig-item']="welcome/add_bidding_item";
$route['edit-session/([a-z-A-Z0-9\-]+)']="welcome/edit_client_item";
$route['update-bidding-item']="welcome/update_bidding_item";
$route['iadmin-client-list']="welcome/get_iadmin_client_list";
$route['vendor-home']="welcome/vendor_home";
$route['vendor-profile']="welcome/vendor_profile";
$route['vendor-event/([a-z-A-Z0-9\-]+)']="welcome/vendor_event";
$route['vendor-event-list']="welcome/vendor_event_list";
$route['client-event/([a-z-A-Z0-9\-]+)']="welcome/client_event";
$route['sa-vendor-profile/([a-z-A-Z0-9\-]+)']="welcome/sa_vendor_profile_view";
$route['get-co-ordinator-email']="welcome/get_co_ordinator_person_email";
$route['vendor-client-list']="welcome/get_vendor_client_list";
$route['add-bidding-status']="welcome/add_bidding_status";
$route['update-flag']="welcome/update_flag";
$route['get-bidding-status']="welcome/get_bidding_status";
$route['add-bidding-price']="welcome/add_vendor_item_price";
$route['vendor-price-list']="welcome/get_vendor_bidding_price";
$route['get-bidding-price']="welcome/get_vendor_bidding_price";
$route['item-bidding-status']="welcome/item_bidding_status";
$route['add-admin-vendor-client-val']="welcome/add_iadmin_vendor_client_val";
$route['update-bidding-status']="welcome/update_bidding_status";
$route['update-bid-time']="welcome/update_bidding_time";
$route['view-current-bidding-time']="welcome/view_current_bidding_time";
$route['total-bidding-time']="welcome/view_total_bidding_time";
$route['update-vendor-bidding-price']="welcome/update_vendor_item_price";
$route['closed-bid-status']="welcome/closed_bidding_status";
$route['individual-bidding-status']="welcome/get_min_individual_bidding_price";
$route['get-bidding-time']="welcome/get_bidding_time";
$route['reset-line-item']="welcome/reset_line_item";
$route['check-status']="welcome/check_status";
$route['update-new-flag']="welcome/update_flag_new";
$route['check-vendor-price']="welcome/check_vendor_price";
$route['edit-client-vendor/([a-z-A-Z0-9\-]+)']="welcome/client_vendor_edit";
$route['client-vendor-profile/([a-z-A-Z0-9\-]+)']="welcome/client_vendor_profile_view";
$route['logout']="welcome/logout";
$route['update-vendor/([a-z-A-Z0-9\-]+)']="welcome/update_sa_vendor";
$route['reset-line-item-new']="welcome/reset_line_item_new";
$route['update-flag-status']="welcome/update_flag_status";
$route['coordiator-bidding-event/([a-z-A-Z0-9\-]+)']="welcome/coordinator_bidding_client_event";
$route['admin-dashboard']="welcome/iadmin_dashboard";
$route['admin-client-add']="welcome/iadmin_client_add";
$route['add-admin-client']="welcome/add_iadmin_client";
$route['add-admin-client-val']="welcome/add_iadmin_client_val";
$route['add-admin-vendor-client-val']="welcome/add_iadmin_vendor_client_val";
$route['admin-client-list']="welcome/sa_iadmin_client_list";
$route['admin-vendor-add']="welcome/iadmin_vendor_add";
$route['admin-vendor-list']="welcome/iadmin_vendor_list";
$route['admin-vendor-edit/([a-z-A-Z0-9\-]+)']="welcome/admin_vendor_edit";
$route['update_vendor']="welcome/update_vendor";
$route['admin-client-edit/([a-z-A-Z0-9\-]+)']="welcome/admin_client_edit";
$route['update-admin-client']="welcome/update_iadmin_client";
$route['update-client/([a-z-A-Z0-9\-]+)']="welcome/update_sa_edit";
$route['edit-client']="welcome/edit_client";
$route['get-email-details']="welcome/get_email_details";
$route['delete-procurement']="welcome/delete_procurement_event";
$route['client-vendor-add']="welcome/client_vendor_add";
$route['client-vendor-list']="welcome/client_vendor_list";
$route['vendor-bid-price']="welcome/get_vendor_bid_price";
$route['update-bidding-session']="welcome/reset_bidding_session";
$route['close-bidding-session']="welcome/close_bidding_session";
$route['bidding-time']="welcome/bidding_time";
$route['delete-item']="welcome/delete_item";
$route['delete-vendor']="welcome/delete_vendor";
$route['client-event-list']="welcome/client_event_list";
$route['item-description/([a-z-A-Z0-9\-]+)']="welcome/item_description";
$route['vendor-item-description/([a-z-A-Z0-9\-]+)']="welcome/vendor_item_description";
$route['bidding-history']="welcome/bidding_history";
$route['bidding-vendor-history']="welcome/bidding_vendor_history";
$route['bidding-client-report/([a-z-A-Z0-9\-]+)']="welcome/bidding_client_report_new";
$route['bidding-vendor-report/([a-z-A-Z0-9\-]+)']="welcome/bidding_vendor_report_new";
$route['active-client']="welcome/active_client";
$route['next-month-renewal']="welcome/next_month_renewal_client";
$route['expiry-client']="welcome/expiry_client";
$route['ia-active-client']="welcome/active_iclient";
$route['next-month-license']="welcome/ia_next_month_renewal_client";
$route['expiry-license']="welcome/ia_expiry_client";
$route['client-bidding-event-report/([a-z-A-Z0-9\-]+)']="welcome/bidding_client_report_latest";
$route['coordinator-bidding-table']="welcome/coordinator_bidding_table";
$route['coordinator-dashboard']="welcome/coordinator_dashboard";
$route['delete-clients-vendor']="welcome/delete_clients_vendor";
$route['update-vendor-bidding-item']="welcome/update_vendor_bidding_item";
$route['delete-procurement']="welcome/delete_procurement_event";
$route['client-vendor-add']="welcome/client_vendor_add";
$route['client-vendor-list']="welcome/client_vendor_list";
$route['vendor-bid-price']="welcome/get_vendor_bid_price";
$route['update-bidding-session']="welcome/reset_bidding_session";
$route['close-bidding-session']="welcome/close_bidding_session";
$route['bidding-time']="welcome/bidding_time";
$route['delete-item']="welcome/delete_item";
$route['delete-vendor']="welcome/delete_vendor";
$route['client-event-list']="welcome/client_event_list";
$route['item-description/([a-z-A-Z0-9\-]+)']="welcome/item_description";
$route['vendor-item-description/([a-z-A-Z0-9\-]+)']="welcome/vendor_item_description";
$route['bidding-history']="welcome/bidding_history";
$route['bidding-vendor-history']="welcome/bidding_vendor_history";
$route['bidding-client-report/([a-z-A-Z0-9\-]+)']="welcome/bidding_client_report_new";
$route['bidding-vendor-report/([a-z-A-Z0-9\-]+)']="welcome/bidding_vendor_report_new";
$route['active-client']="welcome/active_client";
$route['next-month-renewal']="welcome/next_month_renewal_client";
$route['expiry-client']="welcome/expiry_client";
$route['ia-active-client']="welcome/active_iclient";
$route['next-month-license']="welcome/ia_next_month_renewal_client";
$route['expiry-license']="welcome/ia_expiry_client";
$route['client-bidding-event-report/([a-z-A-Z0-9\-]+)']="welcome/bidding_client_report_latest";
$route['coordinator-bidding-table']="welcome/coordinator_bidding_table";
$route['coordinator-dashboard']="welcome/coordinator_dashboard";
$route['delete-clients-vendor']="welcome/delete_clients_vendor";
$route['update-vendor-bidding-item']="welcome/update_vendor_bidding_item";
$route['testing-time']="welcome/testing_time";
$route['test-bid-count']="welcome/test_bid_count";
$route['resetpassword/(:any)/(:any)'] = 'Welcome/reset_password/$1/$2';
$route['Welcome/reset_password'] = 'Welcome/reset_password';
$route['Welcome/update_password'] = 'Welcome/update_password';

$route['total-bidding-list'] = 'welcome/total_bid';
$route['completed-bidding-list'] = 'welcome/completed_bidding_list';
$route['upcoming-bidding-list'] = 'welcome/upcoming_bidding_list';
$route['todays-bidding-list'] = 'welcome/todays_bidding_list';
$route['client-total-procurments'] = 'welcome/client_total_procurements';
$route['client-bidding-due'] ='welcome/client_bidding_due';



