<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');



class bidding_model extends CI_Model 
{


    public function __destruct() {  
        $this->db->close();  
    }  


	public function get_where_row($table,$where){

        $this->db->select('*');

        $this->db->from($table);

        $this->db->where($where);

        $query=$this->db->get();

        // $ls=$this->db->last_query();
        // echo $ls;die();

        return $query->row();

    }

    
    public function insert($table,$data)
	{
        $this->db->insert($table,$data);

        return $this->db->insert_id();

    }

    // public function bidding_due($user_id){

    //     $this->db->select('*');

    //     $this->db->from('vendor_bidding_table');

    //     $this->db->join('bidding_session','bidding_session.bidding_session_id=vendor_bidding_table.bidding_id');

    //     $this->db->where('user_id',$user_id);

    //     $this->db->where('bidding_session.status !=','COMPLETED');

    //     $this->db->group_by('bidding_id');

    //     $query=$this->db->get();

    //     return $query->result();

    // }

  public function bidding_due($user_id){
    $this->db->select('vendor_bidding_table.*, bidding_session.final_bidding_date, bidding_session.bidding_time, bidding_session.bidding_title, bidding_session.bidding_title, users.mobile_no, users.email, users.company_name');
    $this->db->from('vendor_bidding_table');
    $this->db->join('bidding_session','bidding_session.bidding_session_id = vendor_bidding_table.bidding_id');
    $this->db->join('users', 'users.user_id = vendor_bidding_table.user_id');
    $this->db->where('vendor_bidding_table.user_id', $user_id);
    $this->db->where('bidding_session.status !=', 'COMPLETED');
    $this->db->group_by('vendor_bidding_table.bidding_id');

    $query = $this->db->get();

    return $query->result();
}

    

    public function get_where_result($table,$where){

        $this->db->select('*');

        $this->db->from($table);

        $this->db->where($where);

        $query=$this->db->get();

        return $query->result();

    }


    public function get_waiting_procurement($table,$where){

        $this->db->select('*');

        $this->db->from($table);

        $this->db->where($where);

        $this->db->where('status !=','COMPLETED');

        $query=$this->db->get();

        return $query->result();

    }

    // public function get_total_biddings(){

    //     $user_id=$this->session->userdata('user_id');

    //     $this->db->from('vendor_bidding_table');

    //     $this->db->join('bidding_session','bidding_session.bidding_session_id=vendor_bidding_table.bidding_id');

    //     $this->db->where('user_id',$user_id);

    //     //$this->db->where('bidding_session.status !=','COMPLETED');

    //     $query=$this->db->get();

    //     return $query->result();

    // }

    public function get_total_biddings() {
        $user_id = $this->session->userdata('user_id');
        $this->db->from('vendor_bidding_table');
        $this->db->join('bidding_session', 'bidding_session.bidding_session_id = vendor_bidding_table.bidding_id');
        $this->db->join('users', 'users.user_id = vendor_bidding_table.user_id');
        $this->db->where('vendor_bidding_table.user_id', $user_id);
        // Uncomment the line below if you want to exclude entries with status COMPLETED
        // $this->db->where('bidding_session.status !=', 'COMPLETED');
        $query = $this->db->get();
        
        // Print the last executed query
        // echo $this->db->last_query();
    
        return $query->result();
    }
    

    public function completed_biddings(){

        $user_id=$this->session->userdata('user_id');

        $this->db->from('vendor_bidding_table');

        $this->db->join('bidding_session','bidding_session.bidding_session_id=vendor_bidding_table.bidding_id');
        $this->db->join('users', 'users.user_id = vendor_bidding_table.user_id');
        $this->db->where('vendor_bidding_table.user_id', $user_id);

        $this->db->where('bidding_session.status','COMPLETED');

        $query=$this->db->get();

        return $query->result();

    }

    // public function upcoming_biddings(){

    //     $user_id=$this->session->userdata('user_id');
        
    //     $this->db->from('vendor_bidding_table');

    //     $this->db->join('bidding_session','bidding_session.bidding_session_id=vendor_bidding_table.bidding_id');

    //     $this->db->where('user_id',$user_id);

    //     $this->db->where('bidding_session.status !=','COMPLETED');

    //     $query=$this->db->get();

    //     return $query->result();

    // }
    public function upcoming_biddings() {
        $user_id = $this->session->userdata('user_id');
        
        $this->db->select('vendor_bidding_table.*, bidding_session.bidding_session_id, users.company_name, bidding_session.bidding_title, bidding_session.final_bidding_date, bidding_session.bidding_time');
        $this->db->from('vendor_bidding_table');
        $this->db->join('bidding_session', 'bidding_session.bidding_session_id = vendor_bidding_table.bidding_id');
        $this->db->join('users', 'users.user_id = vendor_bidding_table.user_id', 'left');
        $this->db->where('vendor_bidding_table.user_id', $user_id);
        $this->db->where('bidding_session.status !=', 'COMPLETED');
        
        $query = $this->db->get();
        
        // Print last executed query
        // echo $this->db->last_query();
        
        return $query->result();
    }
    
    
    public function todays_biddings(){

        $user_id=$this->session->userdata('user_id');

        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $created_at     = $date->format('Y-m-d');

        $this->db->from('vendor_bidding_table');

        $this->db->join('bidding_session','bidding_session.bidding_session_id=vendor_bidding_table.bidding_id');

        $this->db->where('user_id',$user_id);

        $this->db->where('bidding_session.status !=','COMPLETED');

        $this->db->where('bidding_session.final_bidding_date',$created_at);

        $query=$this->db->get();

        return $query->result();

    }



    public function update_row($where,$data,$table){

        $this->db->where($where);

        $result=$this->db->update($table,$data);

        return $result;

    }



    public function delete_row($where,$table){



    	$this->db->where($where);



        $result=$this->db->delete($table);



        return $result;

    }





    public function get_count_clients(){



        $this->db->select('*');



        $this->db->from('users');



        $this->db->where('user_type_id','3');



        $this->db->where('delete_status','ACTIVE');



        $query=$this->db->get();



        return $query->result();



    }



    public function get_count_iadmin_clients(){



        $user_id = $this->session->userdata('user_id');



        $this->db->from('users');



        $this->db->where('user_type_id','3');



        $this->db->where('assigned_iadmin',$user_id);



        $this->db->where('delete_status','ACTIVE');



        $query=$this->db->get();



        return $query->result();



    }





    public function get_active_licences(){

        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $date_format    = $date->format('Y-m-d');

        $this->db->select('*');

        $this->db->from('users');

        $this->db->where('user_type_id','3');

        $this->db->where('date_of_expiry >=',$date_format);

        $this->db->where('user_type_id !=','1');

        $this->db->where('delete_status','ACTIVE');

        $query=$this->db->get();

        return $query->result();

    }



    public function get_iadmin_active_licences(){



        $user_id = $this->session->userdata('user_id');



        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));



        $date_format    = $date->format('Y-m-d');



        $this->db->select('*');



        $this->db->from('users');



        $this->db->where('user_type_id','3');



        $this->db->where('assigned_iadmin',$user_id);



        $this->db->where('date_of_expiry >=',$date_format);



        $this->db->where('delete_status','ACTIVE');



        $query=$this->db->get();



        return $query->result();



    }



    public function get_licences_for_renewal(){



        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));



        $date_format    = $date->format('Y-m-d');



        $this->db->select('*');



        $this->db->from('users');



        $this->db->where('user_type_id','3');



        $this->db->where('date_of_expiry <',$date_format);



        $this->db->where('delete_status','ACTIVE');



        $query=$this->db->get();



        return $query->result();



    }



    public function get_licences_iadmin_for_renewal(){



        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));



        $date_format    = $date->format('Y-m-d');



        $user_id = $this->session->userdata('user_id');



        $this->db->select('*');



        $this->db->from('users');



        $this->db->where('user_type_id','3');



        $this->db->where('assigned_iadmin',$user_id);



        $this->db->where('date_of_expiry <',$date_format);



        $this->db->where('delete_status','ACTIVE');



        $query=$this->db->get();



        return $query->result();



    }



    public function get_renewal_for_next_month(){

        $date = date('Y-m-d', strtotime('+30 days'));

        $datee       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $datee   = $datee->format('Y-m-d');

        $this->db->select('*');

        $this->db->from('users');

        $this->db->where('user_type_id','3');

         $this->db->where('date_of_expiry >=', $datee);

        $this->db->where('date_of_expiry <=', $date);

        $this->db->where('delete_status','ACTIVE');

        $query=$this->db->get();

        return $query->result();

    }



    public function get_renewal_iadmin_for_next_month(){



        //$date = date('Y-m-d', strtotime('+30 days'));

        $datee       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $datee   = $datee->format('Y-m-d');

        $date = date('Y-m-d', strtotime('+30 days'));

        $user_id = $this->session->userdata('user_id');

        $this->db->select('*');

        $this->db->from('users');

        $this->db->where('user_type_id','3');

        $this->db->where('assigned_iadmin',$user_id);

        $this->db->where('date_of_expiry >=', $datee);

       $this->db->where('date_of_expiry <=', $date);

        $this->db->where('delete_status','ACTIVE');

        $query=$this->db->get();

        return $query->result();

    }



    public function get_client_user_detail(){



        $this->db->select('*,users.mobile_no as mobile_no,users.company_name as cname');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.user_type_id','3');

        $this->db->where('users.delete_status','ACTIVE');

        $query=$this->db->get();

        return $query->result();

     }


    public function get_clients_vendors_result($user_id){

        $this->db->from('vendor_bidding_table');

        $this->db->join('bidding_session','bidding_session.bidding_session_id=vendor_bidding_table.bidding_id');

        $this->db->where('bidding_session.company_id',$user_id);

        $query=$this->db->get();

        return $query->result();

    }



    public function get_iadmin_client_user_detail(){

        $user_id = $this->session->userdata('user_id');

        $this->db->select('*,users.mobile_no as mobile_no,users.company_name as cname,users.user_id');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.assigned_iadmin',$user_id);

        $this->db->where('users.delete_status','ACTIVE');

        $query=$this->db->get();

        return $query->result();



     }



     public function get_bidding_vendor_list($bid_id){

        $this->db->select('*,company_information.company_name as cname,users.mobile_no,users.company_name,vendor_bidding_table.user_id,users.first_name');

        $this->db->from('vendor_bidding_table');

        $this->db->join('users','users.user_id=vendor_bidding_table.user_id');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('vendor_bidding_table.bidding_id',$bid_id);

        $query=$this->db->get();

        return $query->result();

     }



     public function get_vendor_bidding_client_list($user_id){

        $this->db->select('*');

        $this->db->from('vendor_bidding_table');

        $this->db->join('bidding_session','bidding_session.bidding_session_id=vendor_bidding_table.bidding_id');

        $this->db->join('users','users.user_id=bidding_session.company_id');

        $this->db->where('bidding_session.delete_status','ACTIVE');

        $this->db->where('vendor_bidding_table.user_id',$user_id);

        $this->db->where('bidding_session.status','');

        $this->db->order_by('bidding_session.final_bidding_date','asc');

        $query=$this->db->get();

        return $query->result();

     }





    public function get_sa_vendor_list(){



        $this->db->select('company_information.*,users.*,users.company_name as cname');



        $this->db->from('users');



        $this->db->join('company_information','company_information.user_id=users.user_id','left');

 

        $this->db->where('users.delete_status','ACTIVE');



        $this->db->where('users.user_type_id','4');



        $query=$this->db->get();



        return $query->result();

    }





     public function get_vendor_client_list($u_id){

        $this->db->select('*');

        $this->db->from('vendor_bidding_table');

        $this->db->join('bidding_session','bidding_session.bidding_session_id=vendor_bidding_table.bidding_id');

        $this->db->join('company_information','company_information.user_id=bidding_session.company_id');

        $this->db->where('vendor_bidding_table.user_id',$u_id);

        $this->db->group_by('bidding_session.company_id');

        $query=$this->db->get();

        return $query->result();

     }



    public function get_bidding_event_vendor_list($id){



        $this->db->select('*');



        $this->db->from('vendor_bidding_table');



        $this->db->join('users','users.user_id=vendor_bidding_table.user_id');

 

        $this->db->where('users.delete_status','ACTIVE');



        $this->db->where('users.user_type_id','4');



        $this->db->where('vendor_bidding_table.bidding_id',$id);



        $query=$this->db->get();



       return $query->result();



    }



    public function get_profile_information($user_id){



        $this->db->select('company_information.company_name as c_name,bidding_session.coordinate_vendor');



        $this->db->from('users');



        $this->db->join('company_information','company_information.user_id=users.user_id','left');



        $this->db->join('vendor_bidding_table','vendor_bidding_table.user_id=users.user_id');



        $this->db->join('bidding_session','bidding_session.bidding_session_id=vendor_bidding_table.bidding_id');



        $this->db->where('users.delete_status','ACTIVE');



        $this->db->where('users.user_type_id','4');



        $this->db->where('users.user_id',$user_id);



        $query=$this->db->get();



        return $query->row();



    }





    public function get_vendor_bidding_price($bidding_id,$item_id){



        $this->db->select('users.company_name,vendor_bidding_table.user_id as vendor_id,');



        $this->db->from('users');



        $this->db->join('vendor_bidding_table','vendor_bidding_table.user_id=users.user_id','left');



        $this->db->where('vendor_bidding_table.bidding_id',$bidding_id);



        $query=$this->db->get();



        return $query->result();



    }



    public function get_min_bidding_price($bidding_id,$item_id){



        $this->db->select('bidding_price_table.vendor_id');



        $this->db->from('users');



        $this->db->join('bidding_price_table','bidding_price_table.vendor_id=users.user_id','left');



        $this->db->join('vendor_bidding_table','vendor_bidding_table.user_id=users.user_id','left');



        $this->db->where('vendor_bidding_table.bidding_id',$bidding_id);



        $this->db->where('bidding_price_table.item_id',$item_id);



        $this->db->order_by('bidding_price_table.price','asc');



        $query=$this->db->get();



        return $query->result();



    }


    public function get_least_min_bidding_price($bidding_id,$item_id)
    {
        $this->db->select('bidding_price_table.vendor_id');
        $this->db->from('users');
        $this->db->join('bidding_price_table','bidding_price_table.vendor_id=users.user_id','left');
        $this->db->join('vendor_bidding_table','vendor_bidding_table.user_id=users.user_id','left');
        $this->db->where('vendor_bidding_table.bidding_id',$bidding_id);
        $this->db->where('bidding_price_table.item_id',$item_id);
        $this->db->order_by('bidding_price_table.price','asc');
        $this->db->limit(3);
        $query=$this->db->get();
        return $query->result();
    }




    public function get_bidding_status($bidding_id){



        $this->db->select('*');



        $this->db->from('bidding_status_table');



        $this->db->join('bidding_item','bidding_item.item_id =bidding_status_table.item_id');



        $this->db->where('bidding_status_table.bidding_id',$bidding_id);



        $this->db->where('status !=','CLOSED');



        $query=$this->db->get();



        return $query->row();



    }



    public function get_latest_bidding_status($where){



        $this->db->select('*');



        $this->db->from('bidding_status_table');



        $this->db->where($where);



        $this->db->where('status !=','CLOSED');



        $query=$this->db->get();



        return $query->row();



    }





    public function get_bidding_item_list($bidding_id,$v){



         $this->db->select('*');



        $this->db->from('bidding_item');



        $this->db->where('bidding_item.bidding_session_id',$bidding_id);



        $this->db->where_not_in('bidding_item.item_id', $v);



        $query=$this->db->get();



        return $query->result();



    }



    public function get_bidding_closed_item($where){



        $this->db->select('*');



        $this->db->from('bidding_status_table');



        $this->db->where($where);



        $this->db->where('status','CLOSED');



        $query=$this->db->get();



        return $query->result();



    }



    public function get_total_bidding_time($bidding_id){



        $this->db->select_sum('total_bid_time');



        $this->db->from('bidding_status_table');



        $this->db->where('bidding_id',$bidding_id);



        $query=$this->db->get();



        return $query->row();



    }





    public function get_min_individual_bidding_price($bidding_id,$item_id){

        $this->db->select('bidding_price_table.vendor_id,bidding_price_table.price');

        $this->db->from('users');

        $this->db->join('bidding_price_table','bidding_price_table.vendor_id=users.user_id');

        $this->db->join('vendor_bidding_table','vendor_bidding_table.user_id=users.user_id','left');

        $this->db->where('vendor_bidding_table.bidding_id',$bidding_id);

        $this->db->where('bidding_price_table.item_id',$item_id);

        $this->db->order_by('bidding_price_table.price','asc');

        $this->db->limit(3);

        $query=$this->db->get();

        return $query->result();

    }


    public function get_min_individual_bidding_price_new($bidding_id,$item_id){

        $this->db->select('bidding_price_table.vendor_id,MIN(bidding_price_table.price) as min_price');
        $this->db->from('users');

        $this->db->join('bidding_price_table','bidding_price_table.vendor_id=users.user_id');

        $this->db->join('vendor_bidding_table','vendor_bidding_table.user_id=users.user_id','left');

        $this->db->where('vendor_bidding_table.bidding_id',$bidding_id);

        $this->db->where('bidding_price_table.item_id',$item_id);

        $this->db->order_by('bidding_price_table.price','asc');

        $query=$this->db->get();

        $q=$query->row();

        if($q){

            $this->db->from('bidding_price_table');

            $this->db->where('bidding_price_table.bidding_id',$bidding_id);

            $this->db->where('bidding_price_table.item_id',$item_id);

            $this->db->where('bidding_price_table.price',$q->min_price);

            $query=$this->db->get();

            return $query->row();

        }



    }



    public function get_complete_client_information($id){

        $this->db->select('users.company_name as cname,users.first_name,users.email,users.mobile_no,company_information.industries,users.date_of_creation,users.date_of_expiry');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.assigned_iadmin',$id);

        $query=$this->db->get();

        return $query->result();

    }

    public function get_iadmin_vendor_list($user_id){

        $this->db->select('company_information.*,users.*,users.company_name as cname');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('users.assigned_iadmin',$user_id);

        $this->db->where('users.user_type_id','4');

        $query=$this->db->get();

        return $query->result();

    }

     


    public function get_iadmin_vendor_list_new($user_id){

        $this->db->from('bidding_session');

        $this->db->join('vendor_bidding_table','vendor_bidding_table.bidding_id=bidding_session.bidding_session_id');

        //$this->db->join('users','vendor_bidding_table.user_id=users.user_id','left');

        $this->db->where('bidding_session.company_id',$user_id);

        $this->db->group_by('vendor_bidding_table.user_id');

        $query=$this->db->get();

        return $query->result();
    }

    // public function get_iadmin_vendors($user_id){

       
    //     $this->db->from('users');

    //     $this->db->where('users.assigned_iadmin',$user_id);

    //     $this->db->group_by('vendor_bidding_table.user_id');

    //     $query=$this->db->get();

    //     return $query->result();
    // }



    public function get_user_client_detail($user_id){

        $this->db->select('users.first_name,users.company_name,users.mobile_no,users.email,users.user_id,company_information.industries');
$this->db->group_by('users.first_name,users.company_name,users.mobile_no,users.email,users.user_id,company_information.industries');
        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.user_id',$user_id);

        $this->db->where('users.delete_status','ACTIVE');

        $query=$this->db->get();

        return $query->row();

    }




    public function get_client_bidding_events(){

        $user_id=$this->session->userdata('user_id');

        $this->db->select('*');

        $this->db->from('bidding_session');

        $this->db->join('vendor_bidding_table','vendor_bidding_table.bidding_id=bidding_session.bidding_session_id');

        $this->db->join('company_information','company_information.user_id=bidding_session.company_id','left');

        $this->db->where('vendor_bidding_table.user_id',$user_id);

        $this->db->group_by('vendor_bidding_table.bidding_id');

        $this->db->order_by('bidding_session.final_bidding_date','DESC');

        $query=$this->db->get();

        $res_new= $query->result();

        return $res_new;

    }

     public function get_client_bidding_events_new(){

        $user_id=$this->session->userdata('user_id');

        $this->db->select('*');

        $this->db->from('bidding_session');

        $this->db->join('vendor_bidding_table','vendor_bidding_table.bidding_id=bidding_session.bidding_session_id');

        $this->db->join('company_information','company_information.user_id=bidding_session.company_id','left');

        $this->db->where('vendor_bidding_table.user_id',$user_id);

        $this->db->where('bidding_session.status','');

        $this->db->group_by('vendor_bidding_table.bidding_id');

        $this->db->order_by('bidding_session.final_bidding_date','asc');

        $query=$this->db->get();

        $res_new= $query->result();

        return $res_new;

    }

    public function get_bidding_company_name($user_id){

        $this->db->from('bidding_session');

        $this->db->join('company_information','company_information.user_id=bidding_session.company_id','left');

        $this->db->where('bidding_session.company_id',$user_id);

        $this->db->where('bidding_session.status',' ');

        $this->db->order_by('bidding_session.final_bidding_date','asc');

        $query=$this->db->get();

        return $query->result();

    }


    public function get_bidding_company($bidding_id){

        $this->db->from('bidding_session');

        $this->db->join('company_information','company_information.user_id=bidding_session.company_id','left');

        $this->db->where('bidding_session.bidding_session_id',$bidding_id);

        $query=$this->db->get();

        return $query->row();

    }

    public function get_bid_company_name($id){

        $this->db->select('*');

        $this->db->from('bidding_session');

        $this->db->join('company_information','company_information.user_id=bidding_session.company_id','left');

        $this->db->where('bidding_session.bidding_session_id',$id);

        $query=$this->db->get();

        return $query->row();

    }


    public function get_where_asc_result($table,$where){

        $this->db->select('*');

        $this->db->order_by('first_name','asc');
        
        $this->db->from($table);

        $this->db->where($where);

        $query=$this->db->get();

        return $query->result();

    }

    public function get_bidding_vendor($vendor_id){

        $this->db->select('*');

        $this->db->from('users');

        $this->db->where('user_id',$vendor_id);

        $query=$this->db->get();

        return $query->row();

    }

    //  public function get_bidding_vendor_new($vendor_id){

    //     $this->db->select('*');

    //     $this->db->from('users');

    //     $this->db->where('user_id',$vendor_id);

    //     $query=$this->db->get();

    //     return $query->result();

    // }


    public function get_bid_price($table,$where){

        $this->db->select('*');

        $this->db->from($table);

        $this->db->where($where);

        $this->db->order_by('price','asc');

        $query=$this->db->get();

        return $query->result();

    }

    public function get_bid_price_latest($table,$where){

        $this->db->select('*');

        $this->db->from($table);

        $this->db->where($where);

        $query=$this->db->get();

        return $query->row();

    }


    public function get_bid_price_new($table,$where){

        $this->db->select('*');

        $this->db->from($table);

        $this->db->where($where);

        //$this->db->order_by('price','asc');

        $query=$this->db->get();

        return $query->row();

    }

    public function get_client_user_list_detail(){

        $this->db->select('*,users.mobile_no as mobile_no,users.company_name as cname,users.user_id as u_id');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.user_type_id','3');

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('users.user_type_id !=','1');

        $query=$this->db->get();

        return $query->result();

    }


    public function active_client_list(){

        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $date_format    = $date->format('Y-m-d');

        $this->db->select('users.company_name as cname,users.first_name,users.email,users.mobile_no,users.date_of_creation,users.date_of_expiry,company_information.industries,users.assigned_iadmin');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.date_of_expiry >=',$date_format);

        $this->db->where('users.user_type_id','3');

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('users.user_type_id !=','1');

        $query=$this->db->get();

        return $query->result();
    
    }

    public function expiry_client_list(){

        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $date_format    = $date->format('Y-m-d');

        $this->db->select('users.company_name as cname,users.first_name,users.email,users.mobile_no,users.date_of_creation,users.date_of_expiry,company_information.industries,users.assigned_iadmin,users.user_id');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.date_of_expiry <',$date_format);

        $this->db->where('users.user_type_id','3');

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('users.user_type_id !=','1');

        $query=$this->db->get();

        return $query->result();
    
    }

    public function next_month_renewal_client_list(){

        $date = date('Y-m-d', strtotime('+30 days'));

        $datee       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $datee   = $datee->format('Y-m-d');

        $this->db->select('users.company_name as cname,users.first_name,users.email,users.mobile_no,users.date_of_creation,users.date_of_expiry,company_information.industries,users.assigned_iadmin,users.user_id');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.user_type_id','3');

        $this->db->where('date_of_expiry >=', $datee);

        $this->db->where('date_of_expiry <=', $date);

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('users.user_type_id !=','1');

        $query=$this->db->get();

        return $query->result();
    
    }


    public function get_where_orderby_row($table,$where,$order_by)
    {
        $this->db->select('*');
        $this->db->from($table);
        $this->db->where($where);
        $this->db->order_by($order_by,"DESC");
        $query=$this->db->get();
        return $query->result();
    }

    public function get_where_orderby_row_new($table,$where,$order_by)
    {
        $this->db->select('*');
        $this->db->from($table);
        $this->db->where($where);
        $this->db->order_by($order_by,'asc');
        $query=$this->db->get();
        return $query->result();
    }

    public function get_where_orderby_rows_latest($table,$split,$order_by)
    {
        
        $this->db->select('*');
        $this->db->from($table);
        $this->db->where_in('bidding_session_id',$split);
        $this->db->order_by('final_bidding_date','asc');
        $this->db->where('status !=','COMPLETED');
        $query=$this->db->get();
        return $query->result();
    }
 public function get_where_orderby_row_latest($table,$split,$order_by)
    {
        
        $this->db->select('*');
        $this->db->from($table);
        $this->db->where_in('bidding_session_id',$split);
        $this->db->order_by($order_by,'asc');
        $this->db->where('status !=','COMPLETED');
        $query=$this->db->get();
        return $query->result();
    }

     public function get_where_result_update($table,$where)
    {
        
        $this->db->select('*');
        $this->db->from($table);
        $this->db->where($where);
        //$this->db->where('status !=','COMPLETED');
        $query=$this->db->get();
        return $query->row();
    }



    public function active_iclient_list($user_id){

        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $date_format    = $date->format('Y-m-d');

        $this->db->select('users.company_name as cname,users.first_name,users.email,users.mobile_no,users.date_of_creation,users.date_of_expiry,company_information.industries,users.assigned_iadmin');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.date_of_expiry >=',$date_format);

        $this->db->where('users.user_type_id','3');

        $this->db->where('users.assigned_iadmin',$user_id);

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('users.user_type_id !=','1');

        $query=$this->db->get();

        return $query->result();
    
    }


     public function ia_month_renewal_client_list($user_id){

        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $date_format    = $date->format('Y-m-d');

        $date = date('Y-m-d', strtotime('+30 days'));

        $this->db->select('users.company_name as cname,users.first_name,users.email,users.mobile_no,users.date_of_creation,users.date_of_expiry,company_information.industries,users.assigned_iadmin,users.user_id');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.user_type_id','3');

        $this->db->where('users.date_of_expiry >=', $date_format);

        $this->db->where('users.date_of_expiry <=', $date);

        $this->db->where('users.assigned_iadmin',$user_id);

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('users.user_type_id !=','1');

        $query=$this->db->get();

        return $query->result();
    
    }

    public function ia_expiry_client_list($user_id){

        $date       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

        $date_format    = $date->format('Y-m-d');

        $this->db->select('users.company_name as cname,users.first_name,users.email,users.mobile_no,users.date_of_creation,users.date_of_expiry,company_information.industries,users.assigned_iadmin,users.user_id');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.date_of_expiry <',$date_format);

        $this->db->where('users.user_type_id','3');

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('users.assigned_iadmin',$user_id);

        $this->db->where('users.user_type_id !=','1');

        $query=$this->db->get();

        return $query->result();
    
    }


  ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  public function get_where_joiningrow($r){



        $this->db->select('bidding_session.*');



        $this->db->from('bidding_item');



        $this->db->join('bidding_session','bidding_session.bidding_session_id =bidding_item.bidding_session_id');



        $this->db->where('bidding_item.item_id',$r);


        $query=$this->db->get();



        return $query->row();



    }



public function get_iadmin_vendor_list_new_latest($user_id){

        //$user_id=$this->session->userdata('user_id');

        $this->db->from('bidding_session');

        $this->db->join('vendor_bidding_table','vendor_bidding_table.bidding_id=bidding_session.bidding_session_id');

        $this->db->join('users','users.user_id=vendor_bidding_table.user_id');

        $this->db->where('bidding_session.company_id',$user_id);

        //$this->db->or_where('users.user_id',$user_id);

        $this->db->where('users.delete_status','ACTIVE');

        $this->db->group_by('vendor_bidding_table.user_id');

        $query=$this->db->get();

        return $query->result();
    }





public function get_sa_vendor_model_list(){



        $this->db->select('company_information.*,users.*,users.company_name as cname');



        $this->db->from('users');



        $this->db->join('company_information','company_information.user_id=users.user_id','left');

 

       // $this->db->where('users.delete_status','ACTIVE');



        $this->db->where('users.user_type_id','4');



        $query=$this->db->get();



        return $query->result();

    }
    
    public function get_sa_vendor_model_lists(){



        $this->db->select('company_information.*,users.*,users.company_name as cname');


        $this->db->group_by('users.email');

        $this->db->from('users');



        $this->db->join('company_information','company_information.user_id=users.user_id','left');

 

       // $this->db->where('users.delete_status','ACTIVE');



        $this->db->where('users.user_type_id','4');



        $query=$this->db->get();



        return $query->result();

    }
    public function get_bidding_vendor_inactive_list($bid_id){

        $this->db->select('*,company_information.company_name as cname,users.mobile_no,users.company_name,vendor_bidding_table.user_id,users.first_name');

        $this->db->from('vendor_bidding_table');

        $this->db->join('users','users.user_id=vendor_bidding_table.user_id');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

      //  $this->db->where('users.delete_status','ACTIVE');

        $this->db->where('vendor_bidding_table.bidding_id',$bid_id);

        $query=$this->db->get();

        return $query->result();

     }
public function get_iadmin_clientss_user_detail(){

        $user_id = $this->session->userdata('user_id');

        $this->db->select('*,users.mobile_no as mobile_no,users.company_name as cname,users.user_id');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.assigned_iadmin',$user_id);
$this->db->where('users.user_type_id','3');
        $this->db->where('users.delete_status','ACTIVE');

        $query=$this->db->get();

        return $query->result();



     }
     
     public function get_sa_vendor_model_list_get(){



        $this->db->select('company_information.*,users.*,users.company_name as cname');

$this->db->group_by('users.email');

        $this->db->from('users');



        $this->db->join('company_information','company_information.user_id=users.user_id','left');

 

       // $this->db->where('users.delete_status','ACTIVE');



        $this->db->where('users.user_type_id','4');



        $query=$this->db->get();



        return $query->result();

    }
    public function get_complete_client_informations($id){

        $this->db->select('users.company_name as cname,users.first_name,users.email,users.mobile_no,company_information.industries,users.date_of_creation,users.date_of_expiry');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.assigned_iadmin',$id);
        
         $this->db->where('users.user_type_id','3');

        $query=$this->db->get();

        return $query->result();

    }
    
   public function get_where_ivendorsresult($table,$where){

        $this->db->select('clients_table.vendor_id as user_id,users.*');
$this->db->group_by('clients_table.vendor_id');
        $this->db->from('users');

      //  $this->db->where('users.user_type_id','4');
        
        $this->db->join('clients_table','clients_table.vendor_id=users.user_id');
        
        $this->db->where('clients_table.user_id',$where);

        $query=$this->db->get();

        return $query->result();

    }
    
    public function get_user_vendor_client_detail($user_id){

        $this->db->select('users.first_name,users.company_name,users.mobile_no,users.email,users.user_id,company_information.industries');
$this->db->group_by('users.first_name,users.company_name,users.mobile_no,users.email,users.user_id,company_information.industries');
        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        $this->db->where('users.user_id',$user_id);

       // $this->db->where('users.delete_status','ACTIVE');

        $query=$this->db->get();

        return $query->row();

    }
    
    public function next_month_renewal_list_client_list($ids){

       // $date = date('Y-m-d', strtotime('+30 days'));

      //  $datee       = new DateTime('now', new DateTimeZone('Asia/Kolkata'));

     //   $datee   = $datee->format('Y-m-d');

        $this->db->select('users.company_name as cname,users.first_name,users.email,users.mobile_no,users.date_of_creation,users.date_of_expiry,company_information.industries,users.assigned_iadmin');

        $this->db->from('users');

        $this->db->join('company_information','company_information.user_id=users.user_id','left');

        //$this->db->where('users.user_type_id','3');

$this->db->where('users.user_id',$ids);
       // $this->db->where('date_of_expiry >=', $datee);

       // $this->db->where('date_of_expiry <=', $date);

      //  $this->db->where('users.delete_status','ACTIVE');

      //  $this->db->where('users.user_type_id !=','1');

        $query=$this->db->get();

        return $query->row();
    
    }
    
     public function get_client_history_bidding_events(){

        $user_id=$this->session->userdata('user_id');

        $this->db->select('*');

        $this->db->from('bidding_session');

        $this->db->join('vendor_bidding_table','vendor_bidding_table.bidding_id=bidding_session.bidding_session_id');

        $this->db->join('company_information','company_information.user_id=bidding_session.company_id','left');

        $this->db->where('bidding_session.status','COMPLETED');
         $this->db->where('vendor_bidding_table.user_id',$user_id);

        $this->db->group_by('vendor_bidding_table.bidding_id');

        $this->db->order_by('bidding_session.final_bidding_date','DESC');

        $query=$this->db->get();

        $res_new= $query->result();

        return $res_new;

    }

   
   
    public function get_vendor_new_bidding_client_list($user_id){

        $this->db->select('*');

        $this->db->from('bidding_session');

        $this->db->join('users','users.user_id=bidding_session.company_id');

        $this->db->where('bidding_session.delete_status','ACTIVE');

 $this->db->where('users.user_id',$user_id);
 
       // $this->db->where('bidding_session.status','');

      //  $this->db->order_by('bidding_session.final_bidding_date','asc');

        $query=$this->db->get();

        return $query->result();

     }
     
      public function get_client_new_bidding_events(){

        $user_id=$this->session->userdata('user_id');

        $this->db->select('*');

        $this->db->from('bidding_session');

        $this->db->join('vendor_bidding_table','vendor_bidding_table.bidding_id=bidding_session.bidding_session_id');

        $this->db->join('company_information','company_information.user_id=bidding_session.company_id','left');

        $this->db->where('vendor_bidding_table.user_id',$user_id);
        $this->db->where('bidding_session.status','COMPLETED');

        $this->db->group_by('vendor_bidding_table.bidding_id');

        $this->db->order_by('bidding_session.final_bidding_date','DESC');

        $query=$this->db->get();

        $res_new= $query->result();

        return $res_new;

    }

    // public function get_where_row($table, $where) {
    //     return $this->db->get_where($table, $where)->row();
    // }

    public function update_data($table, $data, $where) {
        $this->db->update($table, $data, $where);
        return $this->db->affected_rows();
    }
    

   public function total_biddings() {
    $total_biddings = $this->db->count_all('bidding_item');
    $error = $this->db->error();
    if ($error['code'] !== 0) {
        log_message('error', 'Database error: ' . $error['message']);
        return false; 
    return $total_biddings;
    }
    }

    public function getBidDetails($id) {
     
        $query = $this->db->get_where('bids', array('id' => $id));

        if ($query->num_rows() > 0) {
      
            return $query->row_array();
        } else {
         
            return false;
        }
    }


    public function get_bidding_details($bidding_id) {
        $user_id = $this->session->userdata('user_id');

        $this->db->from('vendor_bidding_table');
        $this->db->join('bidding_session', 'bidding_session.bidding_session_id = vendor_bidding_table.bidding_id');
        $this->db->join('users', 'users.user_id = vendor_bidding_table.user_id');
        $this->db->join('bidding_item', 'bidding_item.bidding_session_id = vendor_bidding_table.bidding_id'); 
        $this->db->where('vendor_bidding_table.user_id', $user_id);
        $this->db->where('vendor_bidding_table.bidding_id', $bidding_id);
        $query = $this->db->get();
        // $query = $this->db->last_query();
        // echo $query;

        if ($query->num_rows() > 0) {
 
            return $query->row();
        } else {
            return null;
        }
    }
    // public function get_total_biddings() {
    //     $user_id = $this->session->userdata('user_id');
    //     $this->db->from('vendor_bidding_table');
    //     $this->db->join('bidding_session', 'bidding_session.bidding_session_id = vendor_bidding_table.bidding_id');
    //     $this->db->join('users', 'users.user_id = vendor_bidding_table.user_id');
    //     $this->db->where('vendor_bidding_table.user_id', $user_id);
    //     // Uncomment the line below if you want to exclude entries with status COMPLETED
    //     // $this->db->where('bidding_session.status !=', 'COMPLETED');
    //     $query = $this->db->get();
        
    //     // Print the last executed query
    //     // echo $this->db->last_query();
    
    //     return $query->result();
    // }
    
    // In your bidding_model.php

// In your bidding_model.php

public function get_total_procurments() {
    $user_id = $this->session->userdata('user_id');
    $this->db->select('bidding_session.bidding_title, bidding_session.final_bidding_date, bidding_session.bidding_limit_time, bidding_session.bidding_time,bidding_session.bidding_session_id,users.company_name,users.mobile_no,users.email');
    $this->db->from('bidding_session');
    $this->db->join('users', 'users.user_id = bidding_session.company_id');
    $this->db->where('bidding_session.company_id', $user_id);
    $this->db->where('bidding_session.delete_status', 'ACTIVE');
    $query = $this->db->get();
    return $query->result();
}


}



?>